Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.converter
Class NoSelectionConverter

    java.lang.Object
      org.jboss.seam.ui.converter.NoSelectionConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public class NoSelectionConverter

extends Object
implements javax.faces.convert.Converter

Field Summary
`static String` | `NO_SELECTION_VALUE`

Constructor Summary
`NoSelectionConverter()`

Method Summary
`Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SELECTION_VALUE

    public static final String NO_SELECTION_VALUE

See Also:
  Constant Field Values

Constructor Detail

### NoSelectionConverter

    public NoSelectionConverter()

Method Detail

### getAsObject

    public Object getAsObject(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public String getAsString(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              Object value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.